websocket-sharp : WebSocketSharp.Frame Namespace

# WsFrame Class

Documentation for this section has not yet been entered.

## Syntax

public class WsFrame : IEnumerable<byte>

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Frame
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Constructors

| WsFrame (Opcode, PayloadData) | Documentation for this section has not yet been entered.
| WsFrame (Fin, Opcode, PayloadData) | Documentation for this section has not yet been entered.
| WsFrame (Fin, Opcode, Mask, PayloadData) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | ExtPayloadLen | byte[]. Documentation for this section has not yet been entered.
[read-only] | Fin | Fin . Documentation for this section has not yet been entered.
[read-only] | Length | ulong . Documentation for this section has not yet been entered.
[read-only] | Masked | Mask . Documentation for this section has not yet been entered.
[read-only] | MaskingKey | byte[]. Documentation for this section has not yet been entered.
[read-only] | Opcode | Opcode . Documentation for this section has not yet been entered.
[read-only] | PayloadData | PayloadData . Documentation for this section has not yet been entered.
[read-only] | PayloadLen | byte . Documentation for this section has not yet been entered.
[read-only] | PayloadLength | ulong . Documentation for this section has not yet been entered.
[read-only] | Rsv1 | Rsv . Documentation for this section has not yet been entered.
[read-only] | Rsv2 | Rsv . Documentation for this section has not yet been entered.
[read-only] | Rsv3 | Rsv . Documentation for this section has not yet been entered.

## Public Methods

GetEnumerator () : IEnumerator<byte>

> Documentation for this section has not yet been entered.

static

Parse (byte[]) : WsFrame

> Documentation for this section has not yet been entered.

static

Parse (System.IO.Stream) : WsFrame

> Documentation for this section has not yet been entered.

static

Parse (byte[], bool) : WsFrame

> Documentation for this section has not yet been entered.

static

Parse (System.IO.Stream, bool) : WsFrame

> Documentation for this section has not yet been entered.

static

ParseAsync (System.IO.Stream, Action<WsFrame>)

> Documentation for this section has not yet been entered.

static

ParseAsync (System.IO.Stream, bool, Action<WsFrame>)

> Documentation for this section has not yet been entered.

Print ()

> Documentation for this section has not yet been entered.

ToBytes () : byte[]

> Documentation for this section has not yet been entered.

override

ToString () : string

> Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| IEnumerable.GetEnumerator | Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### WsFrame Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WsFrame (Opcode opcode, PayloadData payloadData)

> #### Parameters

> > opcode
> >   Documentation for this section has not yet been entered.
> > payloadData
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WsFrame Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WsFrame (Fin fin, Opcode opcode, PayloadData payloadData)

> #### Parameters

> > fin
> >   Documentation for this section has not yet been entered.
> > opcode
> >   Documentation for this section has not yet been entered.
> > payloadData
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WsFrame Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WsFrame (Fin fin, Opcode opcode, Mask mask, PayloadData payloadData)

> #### Parameters

> > fin
> >   Documentation for this section has not yet been entered.
> > opcode
> >   Documentation for this section has not yet been entered.
> > mask
> >   Documentation for this section has not yet been entered.
> > payloadData
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ExtPayloadLen Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] ExtPayloadLen { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Fin Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Fin Fin { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerator<byte> GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Length Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public ulong Length { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Masked Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Mask Masked { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### MaskingKey Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] MaskingKey { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Opcode Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Opcode Opcode { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Parse Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static WsFrame Parse (byte[] src)

> #### Parameters

> > src
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Parse Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static WsFrame Parse (System.IO.Stream stream)

> #### Parameters

> > stream
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Parse Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static WsFrame Parse (byte[] src, bool unmask)

> #### Parameters

> > src
> >   Documentation for this section has not yet been entered.
> > unmask
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Parse Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static WsFrame Parse (System.IO.Stream stream, bool unmask)

> #### Parameters

> > stream
> >   Documentation for this section has not yet been entered.
> > unmask
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ParseAsync Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static void ParseAsync (System.IO.Stream stream, Action<WsFrame> completed)

> #### Parameters

> > stream
> >   Documentation for this section has not yet been entered.
> > completed
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ParseAsync Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static void ParseAsync (System.IO.Stream stream, bool unmask, Action<WsFrame> completed)

> #### Parameters

> > stream
> >   Documentation for this section has not yet been entered.
> > unmask
> >   Documentation for this section has not yet been entered.
> > completed
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadData Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public PayloadData PayloadData { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadLen Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte PayloadLen { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadLength Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public ulong PayloadLength { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Print Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Print ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Rsv1 Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Rsv Rsv1 { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Rsv2 Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Rsv Rsv2 { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Rsv3 Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Rsv Rsv3 { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### System.Collections.IEnumerable.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator System.Collections.IEnumerable.GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ToBytes Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] ToBytes ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ToString Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string ToString ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581